Finish port to fabrication
[shapado:piglops-shapado.git] / Gemfile
1 source 'http://rubygems.org'
2
3 gem 'rails', '3.2.1'
4
5 if RUBY_PLATFORM !~ /mswin|mingw/
6   gem 'rdiscount', :git => 'git://github.com/ricodigo/rdiscount.git'
7
8   gem 'ruby-stemmer', '~> 0.8.2', :require => 'lingua/stemmer'
9   gem 'sanitize', '2.0.3'
10
11   gem 'magic'
12   gem 'mini_magick', '~> 2.3'
13   gem 'nokogiri'
14   gem 'mechanize'
15 else
16   gem 'maruku', '0.6.0'
17 end
18 gem 'maruku'
19
20 # ui
21 gem 'haml', '>= 3.1.3'
22 gem 'sass', '>= 3.1.10'
23 gem 'compass', '>= 0.11.5'
24 gem 'compass-colors', '0.9.0'
25 gem 'fancy-buttons', '1.1.1'
26 gem 'kaminari'
27 gem 'mustache'
28 gem 'poirot', :git => 'git://github.com/dcu/poirot.git'
29
30
31 # mongodb
32 gem 'bson', '1.4.0'
33 gem 'bson_ext', '1.4.0'
34
35 gem 'mongo', '1.4.0'
36 gem 'mongoid', :git => 'git://github.com/mongoid/mongoid.git', :branch => '2.4.0-stable'
37
38 gem 'mongoid_ext', :git => 'git://github.com/dcu/mongoid_ext.git'
39
40 gem 'mongo_store', :git => 'https://github.com/Houdini/mongo_store.git'
41
42 # utils
43 gem 'whatlanguage', '1.0.0'
44 gem 'uuidtools', '~> 2.1.1'
45 gem 'magent', '0.6.2'
46 gem 'bug_hunter', :git => 'git://github.com/ricodigo/bug_hunter.git'
47
48 gem 'goalie', '~> 0.0.4'
49 gem 'dynamic_form'
50 gem 'rinku', '~> 1.2.2', :require => 'rails_rinku'
51
52 gem 'rack-recaptcha', '0.2.2', :require => 'rack/recaptcha'
53
54 gem 'twitter-text', '1.1.8'
55 gem 'twitter_oauth'
56 gem 'social_widgets', :git => 'https://git.gitorious.org/social_widgets/social_widgets.git'
57 gem 'activemerchant', '1.16.0'
58 gem 'pdfkit', :git => 'git://github.com/jdpace/PDFKit.git' # apt-get install wkhtmltopdf
59
60 gem 'geoip'
61 gem 'rubyzip', '0.9.4', :require => 'zip/zip'
62
63 # authentication
64 gem 'omniauth', '~> 0.3.0'
65 gem 'oa-openid', '~> 0.3.0', :require => 'omniauth/openid'
66 gem 'oa-oauth', '~> 0.3.0', :require => 'omniauth/oauth'
67
68 gem 'multiauth', :git => 'http://github.com/dcu/multiauth.git'
69
70 gem 'orm_adapter'
71 gem 'devise', '~> 1.4.0'
72
73 gem 'whenever', :require => false
74 gem 'rack-ssl', :require => false
75
76 gem 'state_machine', '1.1.2'
77
78 gem 'xapian-ruby', '1.2.7.1'
79 gem 'xapit', :git => 'git://github.com/kuadrosx/xapit.git'
80 group :assets do
81   gem 'sass-rails', "  ~> 3.2.0"
82   gem 'uglifier'
83 end
84 gem 'yui-compressor'
85 gem 'jquery-rails'
86
87 group :deploy do
88   gem 'capistrano', :require => false
89   gem 'ricodigo-capistrano-recipes', '~> 0.1.3', :require => false
90   gem 'unicorn', '4.1.1', :require => false
91   gem 'therubyracer'
92 end
93
94 group :scripts do
95   gem 'eventmachine', '~> 0.12.10'
96   gem 'em-websocket', '~> 0.3.0'
97   gem 'twitter', '1.7.2'
98 end
99
100 group :test do
101   gem 'capybara'
102   gem 'capybara-webkit'
103   gem 'launchy'
104   gem 'ffaker'
105   gem 'simplecov'
106   gem 'autotest'
107   gem 'fabrication'
108 end
109
110 group :development do
111   gem 'pry'
112   gem 'pry-rails'
113   gem 'database_cleaner'
114   gem 'rspec', '>= 2.0.1'
115   gem 'rspec-rails', '>= 2.0.1'
116   gem 'remarkable_mongoid', '>= 0.5.0'
117   gem 'hpricot'
118   gem 'ruby_parser'
119   gem 'niftier-generators', '0.1.2'
120   gem 'ruby-prof'
121   gem 'tunnlr_connector', :git => 'git://github.com/dcu/tunnlr_connector.git', :branch => 'patch-1', :require => 'tunnlr'
122 end